diff --git c/scala/collection/parallel/immutable/LazyParVectorCombiner.class w/scala/collection/parallel/immutable/LazyParVectorCombiner.class
index cd4f3d48da..d6d1828cbd 100644
--- c/scala/collection/parallel/immutable/LazyParVectorCombiner.class
+++ w/scala/collection/parallel/immutable/LazyParVectorCombiner.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ParVector.scala"
-public class scala.collection.parallel.immutable.LazyParVectorCombiner extends java.lang.Object implements scala.collection.parallel.Combiner,scala.ScalaObject{
+public class scala.collection.parallel.immutable.LazyParVectorCombiner extends java.lang.Object implements scala.collection.parallel.Combiner{
 private int sz;
   Signature: I
 
diff --git c/scala/collection/parallel/immutable/ParHashMap$ParHashMapIterator.class w/scala/collection/parallel/immutable/ParHashMap$ParHashMapIterator.class
index a51764e401..1d9830f5e4 100644
--- c/scala/collection/parallel/immutable/ParHashMap$ParHashMapIterator.class
+++ w/scala/collection/parallel/immutable/ParHashMap$ParHashMapIterator.class
@@ -12,7 +12,7 @@ public abstract #= # of #; //ParIterator$class=class scala/collection/parallel/P
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.immutable.ParHashMap$ParHashMapIterator extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParHashMap$ParHashMapIterator extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ParIterator{
 private scala.collection.Iterator triter;
   Signature: Lscala/collection/Iterator;
 
diff --git c/scala/collection/parallel/immutable/ParHashMap.class w/scala/collection/parallel/immutable/ParHashMap.class
index 08d8c1d0f6..99a644e667 100644
--- c/scala/collection/parallel/immutable/ParHashMap.class
+++ w/scala/collection/parallel/immutable/ParHashMap.class
@@ -11,7 +11,7 @@ public #= # of #; //ParHashMapIterator=class scala/collection/parallel/immutable
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.immutable.ParHashMap extends java.lang.Object implements scala.collection.parallel.immutable.ParMap,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.ParMapLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParHashMap extends java.lang.Object implements scala.collection.parallel.immutable.ParMap,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/parallel/immutable/ParHashSet$ParHashSetIterator.class w/scala/collection/parallel/immutable/ParHashSet$ParHashSetIterator.class
index 959403c7c5..99117810ff 100644
--- c/scala/collection/parallel/immutable/ParHashSet$ParHashSetIterator.class
+++ w/scala/collection/parallel/immutable/ParHashSet$ParHashSetIterator.class
@@ -12,7 +12,7 @@ public abstract #= # of #; //ParIterator$class=class scala/collection/parallel/P
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.immutable.ParHashSet$ParHashSetIterator extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParHashSet$ParHashSetIterator extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ParIterator{
 private scala.collection.Iterator triter;
   Signature: Lscala/collection/Iterator;
 
diff --git c/scala/collection/parallel/immutable/ParHashSet.class w/scala/collection/parallel/immutable/ParHashSet.class
index 01694a4c9a..4745044aae 100644
--- c/scala/collection/parallel/immutable/ParHashSet.class
+++ w/scala/collection/parallel/immutable/ParHashSet.class
@@ -10,7 +10,7 @@ public #= # of #; //ParHashSetIterator=class scala/collection/parallel/immutable
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.immutable.ParHashSet extends java.lang.Object implements scala.collection.parallel.immutable.ParSet,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSetLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParHashSet extends java.lang.Object implements scala.collection.parallel.immutable.ParSet,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/parallel/immutable/ParIterable.class w/scala/collection/parallel/immutable/ParIterable.class
index 06efc4be8c..24af59bdb2 100644
--- c/scala/collection/parallel/immutable/ParIterable.class
+++ w/scala/collection/parallel/immutable/ParIterable.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ParIterable.scala"
-public interface scala.collection.parallel.immutable.ParIterable extends scala.collection.GenIterable,scala.collection.parallel.ParIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.immutable.ParIterable extends scala.collection.parallel.ParIterable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/immutable/ParMap$WithDefault.class w/scala/collection/parallel/immutable/ParMap$WithDefault.class
index 7dc0785752..c837a3000e 100644
--- c/scala/collection/parallel/immutable/ParMap$WithDefault.class
+++ w/scala/collection/parallel/immutable/ParMap$WithDefault.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //WithDefault=class scala/collection/parallel/ParMap$
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "ParMap.scala"
-public class scala.collection.parallel.immutable.ParMap$WithDefault extends scala.collection.parallel.ParMap$WithDefault implements scala.collection.parallel.immutable.ParMap,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParMap$WithDefault extends scala.collection.parallel.ParMap$WithDefault implements scala.collection.parallel.immutable.ParMap{
 private final scala.collection.parallel.immutable.ParMap underlying;
   Signature: Lscala/collection/parallel/immutable/ParMap;
 
diff --git c/scala/collection/parallel/immutable/ParMap.class w/scala/collection/parallel/immutable/ParMap.class
index 6feb891d98..e09af88716 100644
--- c/scala/collection/parallel/immutable/ParMap.class
+++ w/scala/collection/parallel/immutable/ParMap.class
@@ -3,7 +3,7 @@ public #= # of #; //WithDefault=class scala/collection/parallel/immutable/ParMap
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "ParMap.scala"
-public interface scala.collection.parallel.immutable.ParMap extends scala.collection.GenMap,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.ParMap,scala.collection.parallel.immutable.ParIterable,scala.collection.parallel.ParMapLike,scala.ScalaObject{
+public interface scala.collection.parallel.immutable.ParMap extends scala.collection.parallel.ParMap,scala.collection.parallel.immutable.ParIterable{
 public abstract scala.collection.generic.GenericParMapCompanion mapCompanion();
   Signature: ()Lscala/collection/generic/GenericParMapCompanion;
 
diff --git c/scala/collection/parallel/immutable/ParRange$ParRangeIterator.class w/scala/collection/parallel/immutable/ParRange$ParRangeIterator.class
index 922740e7a6..864c093e21 100644
--- c/scala/collection/parallel/immutable/ParRange$ParRangeIterator.class
+++ w/scala/collection/parallel/immutable/ParRange$ParRangeIterator.class
@@ -18,7 +18,7 @@ public abstract #= # of #; //ParIterator$class=class scala/collection/parallel/P
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParRange.scala"
-public class scala.collection.parallel.immutable.ParRange$ParRangeIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParRange$ParRangeIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator{
 private final scala.collection.immutable.Range range;
   Signature: Lscala/collection/immutable/Range;
 
diff --git c/scala/collection/parallel/immutable/ParRange.class w/scala/collection/parallel/immutable/ParRange.class
index 98ffdc9861..e394057e29 100644
--- c/scala/collection/parallel/immutable/ParRange.class
+++ w/scala/collection/parallel/immutable/ParRange.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //SignallingOps=class scala/collection/parallel/ParIt
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParRange.scala"
-public class scala.collection.parallel.immutable.ParRange extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParRange extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/parallel/immutable/ParSeq.class w/scala/collection/parallel/immutable/ParSeq.class
index 6541c9c4c0..07bc2bbf1c 100644
--- c/scala/collection/parallel/immutable/ParSeq.class
+++ w/scala/collection/parallel/immutable/ParSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSeq.scala"
-public interface scala.collection.parallel.immutable.ParSeq extends scala.collection.GenSeq,scala.collection.parallel.ParSeq,scala.collection.parallel.immutable.ParIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSeqLike,scala.ScalaObject{
+public interface scala.collection.parallel.immutable.ParSeq extends scala.collection.parallel.ParSeq,scala.collection.parallel.immutable.ParIterable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/immutable/ParSet.class w/scala/collection/parallel/immutable/ParSet.class
index 0424edae6d..b3d7b1283f 100644
--- c/scala/collection/parallel/immutable/ParSet.class
+++ w/scala/collection/parallel/immutable/ParSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSet.scala"
-public interface scala.collection.parallel.immutable.ParSet extends scala.collection.GenSet,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSet,scala.collection.parallel.immutable.ParIterable,scala.collection.parallel.ParSetLike,scala.ScalaObject{
+public interface scala.collection.parallel.immutable.ParSet extends scala.collection.parallel.ParSet,scala.collection.parallel.immutable.ParIterable{
 public abstract scala.collection.parallel.immutable.ParSet empty();
   Signature: ()Lscala/collection/parallel/immutable/ParSet;
 
diff --git c/scala/collection/parallel/immutable/ParVector$ParVectorIterator.class w/scala/collection/parallel/immutable/ParVector$ParVectorIterator.class
index ef8f471992..03dcfa2f44 100644
--- c/scala/collection/parallel/immutable/ParVector$ParVectorIterator.class
+++ w/scala/collection/parallel/immutable/ParVector$ParVectorIterator.class
@@ -17,7 +17,7 @@ public abstract #= # of #; //SignalContextPassingIterator=class scala/collection
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParVector.scala"
-public class scala.collection.parallel.immutable.ParVector$ParVectorIterator extends scala.collection.immutable.VectorIterator implements scala.collection.parallel.ParSeqLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParVector$ParVectorIterator extends scala.collection.immutable.VectorIterator implements scala.collection.parallel.ParSeqLike$ParIterator{
 public final scala.collection.parallel.immutable.ParVector $outer;
   Signature: Lscala/collection/parallel/immutable/ParVector;
 
diff --git c/scala/collection/parallel/immutable/ParVector.class w/scala/collection/parallel/immutable/ParVector.class
index 52e7cb75b0..106cb55a3f 100644
--- c/scala/collection/parallel/immutable/ParVector.class
+++ w/scala/collection/parallel/immutable/ParVector.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "ParVector.scala"
-public class scala.collection.parallel.immutable.ParVector extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSeqLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.immutable.ParVector extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq,scala.Serializable{
 public final scala.collection.immutable.Vector scala$collection$parallel$immutable$ParVector$$vector;
   Signature: Lscala/collection/immutable/Vector;
 
diff --git c/scala/collection/parallel/immutable/Repetition$ParIterator.class w/scala/collection/parallel/immutable/Repetition$ParIterator.class
index fb0e815895..8cfab8272f 100644
--- c/scala/collection/parallel/immutable/Repetition$ParIterator.class
+++ w/scala/collection/parallel/immutable/Repetition$ParIterator.class
@@ -19,7 +19,7 @@ public abstract #= # of #; //SignalContextPassingIterator=class scala/collection
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "package.scala"
-public class scala.collection.parallel.immutable.Repetition$ParIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.immutable.Repetition$ParIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator{
 private int i;
   Signature: I
 
diff --git c/scala/collection/parallel/immutable/Repetition.class w/scala/collection/parallel/immutable/Repetition.class
index 46f1b744c8..31757667ed 100644
--- c/scala/collection/parallel/immutable/Repetition.class
+++ w/scala/collection/parallel/immutable/Repetition.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //SignallingOps=class scala/collection/parallel/ParIt
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "package.scala"
-public class scala.collection.parallel.immutable.Repetition extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq,scala.ScalaObject{
+public class scala.collection.parallel.immutable.Repetition extends java.lang.Object implements scala.collection.parallel.immutable.ParSeq{
 public final java.lang.Object scala$collection$parallel$immutable$Repetition$$elem;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/mutable/LazyCombiner.class w/scala/collection/parallel/mutable/LazyCombiner.class
index 56d183902a..7fa3d06f0b 100644
--- c/scala/collection/parallel/mutable/LazyCombiner.class
+++ w/scala/collection/parallel/mutable/LazyCombiner.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "LazyCombiner.scala"
-public interface scala.collection.parallel.mutable.LazyCombiner extends scala.collection.parallel.Combiner,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.LazyCombiner extends scala.collection.parallel.Combiner{
 public abstract void scala$collection$parallel$mutable$LazyCombiner$_setter_$lastbuff_$eq(scala.collection.generic.Growable);
   Signature: (Lscala/collection/generic/Growable;)V
 
diff --git c/scala/collection/parallel/mutable/ParArray$Map.class w/scala/collection/parallel/mutable/ParArray$Map.class
index 06fbab4a29..9926efcc71 100644
--- c/scala/collection/parallel/mutable/ParArray$Map.class
+++ w/scala/collection/parallel/mutable/ParArray$Map.class
@@ -4,7 +4,7 @@ public #= # of #; //Map=class scala/collection/parallel/mutable/ParArray$Map of
 public abstract #= # of #; //Task$class=class scala/collection/parallel/Tasks$Task$class of class scala/collection/parallel/Tasks
 
 Compiled from "ParArray.scala"
-public class scala.collection.parallel.mutable.ParArray$Map extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParArray$Map extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.Function1 f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/mutable/ParArray$ParArrayIterator.class w/scala/collection/parallel/mutable/ParArray$ParArrayIterator.class
index 57b74335fa..7e4f94f590 100644
--- c/scala/collection/parallel/mutable/ParArray$ParArrayIterator.class
+++ w/scala/collection/parallel/mutable/ParArray$ParArrayIterator.class
@@ -20,7 +20,7 @@ public abstract #= # of #; //Otherwise=class scala/collection/parallel/ParIterab
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParArray.scala"
-public class scala.collection.parallel.mutable.ParArray$ParArrayIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParArray$ParArrayIterator extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator{
 private int i;
   Signature: I
 
diff --git c/scala/collection/parallel/mutable/ParArray$ScanToArray.class w/scala/collection/parallel/mutable/ParArray$ScanToArray.class
index eec880acdb..16160f22b7 100644
--- c/scala/collection/parallel/mutable/ParArray$ScanToArray.class
+++ w/scala/collection/parallel/mutable/ParArray$ScanToArray.class
@@ -7,7 +7,7 @@ public #= # of #; //ScanNode=class scala/collection/parallel/ParIterableLike$Sca
 public #= # of #; //ScanLeaf=class scala/collection/parallel/ParIterableLike$ScanLeaf of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParArray.scala"
-public class scala.collection.parallel.mutable.ParArray$ScanToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParArray$ScanToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.collection.parallel.ParIterableLike$ScanTree tree;
   Signature: Lscala/collection/parallel/ParIterableLike$ScanTree;
 
diff --git c/scala/collection/parallel/mutable/ParArray.class w/scala/collection/parallel/mutable/ParArray.class
index 5f47d4fed7..334393bcbc 100644
--- c/scala/collection/parallel/mutable/ParArray.class
+++ w/scala/collection/parallel/mutable/ParArray.class
@@ -16,7 +16,7 @@ public #= # of #; //CreateScanTree=class scala/collection/parallel/ParIterableLi
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParArray.scala"
-public class scala.collection.parallel.mutable.ParArray extends java.lang.Object implements scala.collection.parallel.mutable.ParSeq,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSeqLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParArray extends java.lang.Object implements scala.collection.parallel.mutable.ParSeq,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator.class w/scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator.class
index 66628e988c..8478f7408c 100644
--- c/scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator.class
+++ w/scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator.class
@@ -9,7 +9,7 @@ public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$Z
 public abstract #= # of #; //ParFlatHashTableIterator=class scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator of class scala/collection/parallel/mutable/ParFlatHashTable
 
 Compiled from "ParFlatHashTable.scala"
-public abstract class scala.collection.parallel.mutable.ParFlatHashTable$ParFlatHashTableIterator extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.collection.parallel.mutable.SizeMapUtils,scala.ScalaObject{
+public abstract class scala.collection.parallel.mutable.ParFlatHashTable$ParFlatHashTableIterator extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.collection.parallel.mutable.SizeMapUtils{
 private int idx;
   Signature: I
 
diff --git c/scala/collection/parallel/mutable/ParFlatHashTable.class w/scala/collection/parallel/mutable/ParFlatHashTable.class
index 65fae00f9e..3f06bdf137 100644
--- c/scala/collection/parallel/mutable/ParFlatHashTable.class
+++ w/scala/collection/parallel/mutable/ParFlatHashTable.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ParFlatHashTableIterator=class scala/collection/parallel/mutable/ParFlatHashTable$ParFlatHashTableIterator of class scala/collection/parallel/mutable/ParFlatHashTable
 
 Compiled from "ParFlatHashTable.scala"
-public interface scala.collection.parallel.mutable.ParFlatHashTable extends scala.collection.mutable.FlatHashTable,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParFlatHashTable extends scala.collection.mutable.FlatHashTable{
 public abstract boolean alwaysInitSizeMap();
   Signature: ()Z
 
diff --git c/scala/collection/parallel/mutable/ParHashMap$ParHashMapIterator.class w/scala/collection/parallel/mutable/ParHashMap$ParHashMapIterator.class
index dace6bfa5d..ce4f8d59f6 100644
--- c/scala/collection/parallel/mutable/ParHashMap$ParHashMapIterator.class
+++ w/scala/collection/parallel/mutable/ParHashMap$ParHashMapIterator.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //ParIterator$class=class scala/collection/parallel/P
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.mutable.ParHashMap$ParHashMapIterator extends scala.collection.parallel.mutable.ParHashTable$EntryIterator implements scala.collection.parallel.ParIterableLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashMap$ParHashMapIterator extends scala.collection.parallel.mutable.ParHashTable$EntryIterator implements scala.collection.parallel.ParIterableLike$ParIterator{
 public final scala.collection.parallel.mutable.ParHashMap $outer;
   Signature: Lscala/collection/parallel/mutable/ParHashMap;
 
diff --git c/scala/collection/parallel/mutable/ParHashMap.class w/scala/collection/parallel/mutable/ParHashMap.class
index 5236cc6a27..e25507a029 100644
--- c/scala/collection/parallel/mutable/ParHashMap.class
+++ w/scala/collection/parallel/mutable/ParHashMap.class
@@ -13,7 +13,7 @@ public #= # of #; //ParHashMapIterator=class scala/collection/parallel/mutable/P
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.mutable.ParHashMap extends java.lang.Object implements scala.collection.parallel.mutable.ParMap,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.mutable.ParMapLike,scala.collection.parallel.mutable.ParHashTable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashMap extends java.lang.Object implements scala.collection.parallel.mutable.ParMap,scala.collection.parallel.mutable.ParHashTable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable.class w/scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable.class
index a05d9089e1..152925ff41 100644
--- c/scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable.class
+++ w/scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/Hash
 public #= # of #; //AddingHashTable=class scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable of class scala/collection/parallel/mutable/ParHashMapCombiner
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.mutable.ParHashMapCombiner$AddingHashTable extends java.lang.Object implements scala.collection.mutable.HashTable,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashMapCombiner$AddingHashTable extends java.lang.Object implements scala.collection.mutable.HashTable{
 public final scala.collection.parallel.mutable.ParHashMapCombiner $outer;
   Signature: Lscala/collection/parallel/mutable/ParHashMapCombiner;
 
diff --git c/scala/collection/parallel/mutable/ParHashMapCombiner$FillBlocks.class w/scala/collection/parallel/mutable/ParHashMapCombiner$FillBlocks.class
index b8c908127b..b8152935ad 100644
--- c/scala/collection/parallel/mutable/ParHashMapCombiner$FillBlocks.class
+++ w/scala/collection/parallel/mutable/ParHashMapCombiner$FillBlocks.class
@@ -7,7 +7,7 @@ public #= # of #; //FillBlocks=class scala/collection/parallel/mutable/ParHashMa
 public #= # of #; //AddingHashTable=class scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable of class scala/collection/parallel/mutable/ParHashMapCombiner
 
 Compiled from "ParHashMap.scala"
-public class scala.collection.parallel.mutable.ParHashMapCombiner$FillBlocks extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashMapCombiner$FillBlocks extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.collection.mutable.UnrolledBuffer$Unrolled[] buckets;
   Signature: [Lscala/collection/mutable/UnrolledBuffer$Unrolled;
 
diff --git c/scala/collection/parallel/mutable/ParHashMapCombiner.class w/scala/collection/parallel/mutable/ParHashMapCombiner.class
index 27562387d5..d13f0524d5 100644
--- c/scala/collection/parallel/mutable/ParHashMapCombiner.class
+++ w/scala/collection/parallel/mutable/ParHashMapCombiner.class
@@ -8,7 +8,7 @@ public #= # of #; //FillBlocks=class scala/collection/parallel/mutable/ParHashMa
 public #= # of #; //AddingHashTable=class scala/collection/parallel/mutable/ParHashMapCombiner$AddingHashTable of class scala/collection/parallel/mutable/ParHashMapCombiner
 
 Compiled from "ParHashMap.scala"
-public abstract class scala.collection.parallel.mutable.ParHashMapCombiner extends scala.collection.parallel.BucketCombiner implements scala.collection.mutable.HashTable$HashUtils,scala.ScalaObject{
+public abstract class scala.collection.parallel.mutable.ParHashMapCombiner extends scala.collection.parallel.BucketCombiner implements scala.collection.mutable.HashTable$HashUtils{
 private final int tableLoadFactor;
   Signature: I
 
diff --git c/scala/collection/parallel/mutable/ParHashSet$ParHashSetIterator.class w/scala/collection/parallel/mutable/ParHashSet$ParHashSetIterator.class
index 5ed670f432..e6e8312209 100644
--- c/scala/collection/parallel/mutable/ParHashSet$ParHashSetIterator.class
+++ w/scala/collection/parallel/mutable/ParHashSet$ParHashSetIterator.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //ParFlatHashTableIterator=class scala/collection/par
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.mutable.ParHashSet$ParHashSetIterator extends scala.collection.parallel.mutable.ParFlatHashTable$ParFlatHashTableIterator implements scala.collection.parallel.ParIterableLike$ParIterator,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashSet$ParHashSetIterator extends scala.collection.parallel.mutable.ParFlatHashTable$ParFlatHashTableIterator implements scala.collection.parallel.ParIterableLike$ParIterator{
 public final scala.collection.parallel.mutable.ParHashSet $outer;
   Signature: Lscala/collection/parallel/mutable/ParHashSet;
 
diff --git c/scala/collection/parallel/mutable/ParHashSet.class w/scala/collection/parallel/mutable/ParHashSet.class
index 9562e1b83d..7c8de6239a 100644
--- c/scala/collection/parallel/mutable/ParHashSet.class
+++ w/scala/collection/parallel/mutable/ParHashSet.class
@@ -13,7 +13,7 @@ public #= # of #; //ParHashSetIterator=class scala/collection/parallel/mutable/P
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.mutable.ParHashSet extends java.lang.Object implements scala.collection.parallel.mutable.ParSet,scala.collection.generic.GenericParTemplate,scala.collection.parallel.mutable.ParSetLike,scala.collection.parallel.mutable.ParFlatHashTable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashSet extends java.lang.Object implements scala.collection.parallel.mutable.ParSet,scala.collection.parallel.mutable.ParFlatHashTable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
